curl --request GET \
--url https://api-sandbox.revolv3.com/api/Invoices/{invoiceId} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-revolv3-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}")
.header("x-revolv3-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-revolv3-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"invoiceId": 1,
"parentInvoiceId": null,
"customerId": null,
"merchantInvoiceRefId": "1234-5678-9101",
"paymentMethod": {
"paymentMethodId": 0,
"billingAddressId": 0,
"billingFirstName": "John",
"billingLastName": "Doe",
"merchantPaymentMethodRefId": null,
"billingAddress": {
"addressId": 1,
"addressLine1": "100 Main Street",
"addressLine2": null,
"city": "Santa Ana",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"paymentMethodAchDetails": null,
"paymentMethodCreditCardDetails": null
},
"invoiceStatus": "Pending",
"subtotal": 73.1,
"tax": 6.48,
"total": 79.58,
"billingDate": "11/3/2026",
"merchantLegalName": null,
"merchantCustomerRefId": null,
"customerFirstName": null,
"customerLastName": null,
"subscriptionId": null,
"installmentId": null,
"eligibilityFailReason": null,
"merchantSubscriptionRefId": null,
"networkTransactionId": null,
"currency": null,
"invoiceLineItems": [
{
"invoiceId": 1,
"invoiceLineItemId": 1,
"name": "LineItem1",
"description": "Line Item 1 Description",
"value": 15.3,
"valueType": null
},
{
"invoiceId": 1,
"invoiceLineItemId": 2,
"name": "LineItem2",
"description": "Line Item 2 Description",
"value": 25.5,
"valueType": null
},
{
"invoiceId": 1,
"invoiceLineItemId": 3,
"name": "LineItem3",
"description": "Line Item 3 Description",
"value": 32.3,
"valueType": null
}
],
"invoiceAttempts": null,
"voidAttempts": null
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Get Invoice
Retrieves detailed information about a specific invoice using its unique invoice ID. This endpoint returns invoice metadata, payment status, amount, associated payment method references, and timestamps related to invoice attempts.
It’s ideal when you already know the invoice ID and need to fetch its full details for display, audit, or troubleshooting purposes. Supports use cases like viewing a transaction in the portal or validating an invoice after a payment operation.
Optionally, you can set includeRawProcessorResponse = true to include the raw response returned from the payment processor, which can help with advanced debugging or support cases.
curl --request GET \
--url https://api-sandbox.revolv3.com/api/Invoices/{invoiceId} \
--header 'x-revolv3-token: <api-key>'import requests
url = "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}"
headers = {"x-revolv3-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-revolv3-token': '<api-key>'}};
fetch('https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-revolv3-token: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-revolv3-token", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}")
.header("x-revolv3-token", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.revolv3.com/api/Invoices/{invoiceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-revolv3-token"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"invoiceId": 1,
"parentInvoiceId": null,
"customerId": null,
"merchantInvoiceRefId": "1234-5678-9101",
"paymentMethod": {
"paymentMethodId": 0,
"billingAddressId": 0,
"billingFirstName": "John",
"billingLastName": "Doe",
"merchantPaymentMethodRefId": null,
"billingAddress": {
"addressId": 1,
"addressLine1": "100 Main Street",
"addressLine2": null,
"city": "Santa Ana",
"state": "CA",
"postalCode": "92602",
"phoneNumber": null,
"email": null,
"country": "US"
},
"paymentMethodAchDetails": null,
"paymentMethodCreditCardDetails": null
},
"invoiceStatus": "Pending",
"subtotal": 73.1,
"tax": 6.48,
"total": 79.58,
"billingDate": "11/3/2026",
"merchantLegalName": null,
"merchantCustomerRefId": null,
"customerFirstName": null,
"customerLastName": null,
"subscriptionId": null,
"installmentId": null,
"eligibilityFailReason": null,
"merchantSubscriptionRefId": null,
"networkTransactionId": null,
"currency": null,
"invoiceLineItems": [
{
"invoiceId": 1,
"invoiceLineItemId": 1,
"name": "LineItem1",
"description": "Line Item 1 Description",
"value": 15.3,
"valueType": null
},
{
"invoiceId": 1,
"invoiceLineItemId": 2,
"name": "LineItem2",
"description": "Line Item 2 Description",
"value": 25.5,
"valueType": null
},
{
"invoiceId": 1,
"invoiceLineItemId": 3,
"name": "LineItem3",
"description": "Line Item 3 Description",
"value": 32.3,
"valueType": null
}
],
"invoiceAttempts": null,
"voidAttempts": null
}{
"message": "Attempted to perform an unauthorized operation.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}{
"message": "Unable to find an entity with the provided data.",
"serverRequestId": "4bf92f3577b34da6a3ce929d0e0e4736",
"clientRequestId": "cddab9d1-7caa-43d9-8b1d-f688134c44b0"
}Headers
Optional identifier generated by the client to match its own logs with this request.
Allowed values: 1 to 128 characters, letters, digits and ., _, :, -.
Examples: order-12345, 3f2b8c1e-9d4a-4e7b-a1c5-6b0d2e8f7a91 (GUID), checkout:2026-11-02.17, retry_1.order-12345.
A valid value is returned in the Client-Request-Id response header and is stored with Revolv3 request logs, so it can be used when contacting support.
An invalid value is ignored and the request is processed normally. Do not send sensitive data in this header.
1 - 128^[A-Za-z0-9._:-]{1,128}$Path Parameters
Query Parameters
Response
OK
The identifier returned for Visa, Mastercard, and Discover transactions. Visa and Discover use this value to link subsequent payments in a recurring/installment stream back to the initial transaction. You must include this value in the request message (originalNetworkTransactionId element) for subsequent recurring payments.
100Paid, Void, Pending, Recycle, Noncollectable, Failed, Refund, MerchantPaid, MerchantCancelled, OneTimePaymentPending, PartialRefund, BatchPending, CapturePending, RefundPending, RefundDeclined, RefundFailed, RetryPending, RecurringPending, MultiCardsPending, RefundVoid, PartialRefundVoid 
